/// <reference path="../../Bodypart.ts" />
/// <reference path="../../Humanoid/Humanoid.ts" />
/// <reference path="../SexStick.ts" />
/// <reference path="../SexHole.ts" />
/// <reference path="../../../Measure.ts" />
// TODO: Decide whther there will be a semen-producing bodypart
class HumanoidTesticles extends Bodypart {
    public size : number = 1; // "Normal"

    public sorenessWeight = Bodypart.WEIGHT_HIGH;
    public genderWeight = Bodypart.WEIGHT_HIGHEST;
    public slots : Array<number> = [Humanoid.SLOT_CROTCH_FRONT];
    public sluttiness = Bodypart.SLUTTINESS_MEDIUM_AVERAGE;
    public sluttinessWeight = Bodypart.WEIGHT_MEDIUM;

    public constructor (options? : ThingOptions) {
        super(options);
        this.addGetAlterations((thing) => {
            return {
                Size : this.size
            }
        });

        this.addSetAlterations((thing, changes) => {
            this.size = changes.Size;
        });
    }

    public getBulgeSize () {
        return this.size;
    }

    public getGenderWeight () {
        return 80; // male sex organ
    }
}